
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#进行Visio二次开发之组合形状操作 / iVAN</title>

    <meta name="description" content="C#进行Visio二次开发之组合形状操作 由于一朋友需要Visio实现仿真模拟Demo,因此我在原来Visio项目代码基础上进行改进调整,完成了其需要的功能.现将对原有Visio二次开发项目的创新思路及成果总结一下,以飨读者,也做为一个标志,供日后参考,或者于各位同行,一起研究切磋.先贴图展示整个项目的该款,表明此文章所托并非空穴来风.纸上谈兵! 本人基于项目的Visio的二次开发文章写了很多,其中涉及到各形状方面的操作,但基本上都是做为一个图形的整体来实现各种效果的,由于仿真需要,需要将换向阀实现左右变换功能,而换向阀是一个组合控件,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#进行Visio二次开发之组合形状操作</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>由于一朋友需要Visio实现仿真模拟Demo，因此我在原来Visio项目代码基础上进行改进调整，完成了其需要的功能。现将对原有Visio二次开发项目的创新思路及成果总结一下，以飨读者，也做为一个标志，供日后参考，或者于各位同行，一起研究切磋。先贴图展示整个项目的该款，表明此文章所托并非空穴来风、纸上谈兵！</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTA0VDY0VDgtMC5wbmc=.jpg"></p>
<p>本人基于项目的Visio的二次开发文章写了很多，其中涉及到各形状方面的操作，但基本上都是做为一个图形的整体来实现各种效果的，由于仿真需要，需要将换向阀实现左右变换功能，而换向阀是一个组合控件，基本上对组合控件操作都是一个整体性的操作，不能局部进行位置变换的，所以要实现这种变化，还真是费了不少功夫。</p>
<p>需求是要求做线路分析的时候，油经过后，组合图形实现效果变换，如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTA0VEEyMjEtMS5wbmc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:19:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e5%90%88/" title="组合">组合</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e6%8d%a2/" title="变换">变换</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.iamivan.net/tag/%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91/" title="二次开发">二次开发</a>, <a href="https://www.iamivan.net/tag/visio/" title="visio">visio</a>, <a href="https://www.iamivan.net/tag/icepak%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91/" title="icepak二次开发">icepak二次开发</a>, <a href="https://www.iamivan.net/tag/navisworks%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91/" title="navisworks二次开发">navisworks二次开发</a>, <a href="https://www.iamivan.net/tag/%ef%bc%8c%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91%ef%bc%8c%e4%be%8b%e5%ad%90/" title="，二次开发，例子">，二次开发，例子</a>, <a href="https://www.iamivan.net/tag/vb-netvba%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91catia/" title="vb&period;netvba二次开发catia">vb&period;netvba二次开发catia</a>, <a href="https://www.iamivan.net/tag/%e5%8d%8e%e8%a7%86%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91/" title="华视二次开发">华视二次开发</a>, <a href="https://www.iamivan.net/tag/revit%ef%bc%8c%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91/" title="revit，二次开发">revit，二次开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#进行Visio二次开发之组合形状操作的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLq5kb.html" rel="bookmark">C&num;进行Visio二次开发之图纸缩放操作的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道,Visio菜单[视图]中有一个缩放的菜单项目,如下所示,选择响应的选项会对图纸进行缩放. 开发之图纸缩放操作的实现-c站&quot;&gt; 另外,它的工具条中也有一个下拉列表框,除了可以选择现有的那些选项外,还可以输入自定义的值,达到自定义缩放比例的功能. 本文介绍如何使用C#和Visio的SDK函数,实现Visio中的图纸各种缩放操作.首先我们建立一个缩放菜单项和一个各种缩放比例的子菜单项,如第一个图形所示:然后将所有的子菜单项的事件处理指向同一个函数,如下所示 private void m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2W2GQM.html" rel="bookmark">visio二次开发如何把形状窗口关掉？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如图所示,我把形状搜索窗口和模具窗口都关了,就是关不掉这个形状窗口,请问大神如何关掉?ps:打开好像是这个VisApplication.DoCmd((short)VisUICmds.visCmdShapesWindow); 解决方案 解决方案二: 解决方案三:http://v2.freep.cn/3tb_140601212020x7kj512293.png解决方案四:图片显示不出来,上面的链接是图片解决方案五:引用楼主viplq361的回复: 如图所示,我把形状搜索窗口和模具窗口都关了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY4eAZb.html" rel="bookmark">C&num;进行Visio二次开发之知识点考核试题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本人做过多年的Visio二次开发,根据个人的经验总结及项目积累,写了一些小小的随笔文章(具体可参考&lt;伍华聪的Visio二次开发文章&gt;,上月有幸给深圳一个团队做了两天的Visio培训,当了一回客座老师,重新拉起Visio二次开发这面大旗,个人觉得这也是一次比较难忘的一次经历. 本次准备的培训,除了全面介绍Visio的相关知识和概念,还以实战开发的方式加深Visio二次开发的知识掌握,另外还通过试题来考核各个学生的掌握情况,本文主要是介绍我根据自己一直以来的Visio开发经验所得,准备的Visio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDl0mz.html" rel="bookmark">如何使用C&num;进行Visio二次开发-总结版</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很久没有写C#进行Visio二次开发的文章了,这次温习一下Visio二次开发的相关知识,全面总结一下Visio 二次开发的方方面面.一方面让对Visio的开发不太了解人员有一个全局的认识,对已经看过我前面文章的人来一个回顾总结. 本次主要根据我在Visio二次开发过程中,获得的一些实际系统开发经验以及学习历程,分三个方面对下面内容进行介绍: 1)介绍C#的Visio二次开发管理系统的架构设计思路 2)介绍C#进行Visio开发的准备工作 3)Visio的编程对象模型 1)Viso二次开发管理系统			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElGmqz.html" rel="bookmark">C&num;进行Visio二次开发之界面设计及架构设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写C#进行Visio二次开发的系列文章有很多篇了,都是写一些经验总结和技术知识的分享,本文继续来探讨这方面开发的一些心得,主要介绍下WinForm界面的设计和Visio软件的架构设计.先看看我花了N个月的业余时间完成的软件概貌,然后大家一起讨论下相关的技术知识. 软件界面主要有菜单区.工具条区.图纸内容区.右边的管理区.状态条区等等,主要注意的是采用了ToolStripPanel来进行布局,然后并使用了有名的WeifenLuo.WinFormsUI.Docking.dll控件对图纸内容区.右边的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKZDBM.html" rel="bookmark">C&num;进行Visio二次开发之自定义右键菜单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Visio Drawing Control中集成自定义菜单是很多项目必须的,很多朋友也问 过我如何实现这些菜单,下面介绍下Visio自定义菜单的实现. Visio二次 开发中,为Visio Drawing Control添加自定义菜单有两种方式:一种是使用捕捉 Visio的MouseUpEvent事件,弹出ContextMenu即可:另一种是通过在PageSheet中 增加Action来实现,也就是使用RUNADDONWARGS函数来实现. 两种实现的 效果如下图所示,两者的区别是,使用第二种会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKlP1p.html" rel="bookmark">C&num;进行Visio二次开发之动态仿真实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Visio二次开发可以实现的项目情景很多,如电气线路分析.配电网络分析.流程图等,现因为项目需要,又认识多了一个应用场合,液压传动的仿真.项目效果图如下所示: 查看原图(大图) 动态仿真,其实也就是模拟实际线路的走向,实现动画的展现.以前我的Visio的项目,基本上都是基于静态的图形展现,并没有设置太多的动态展现.原来配电网络的通电线路的分析,严格来说也是静态的,因为基本上是一次性把通电和不通电的线路给绘制出来.而动态仿真则要求慢慢的动画展现线路的走向和颜色变化. 如活塞运动的仿真,要求不停止动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq8wx2b.html" rel="bookmark">Visio二次开发（一）----巧用Visio宏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近做的项目中需要用到Visio二次开发,安装了Visio的SDK,还有从网上找了一些这方面的博客,Visio的SDK是全英文的,看着有点费劲,很多的东西都不知道该如何去找,不过网上的一些博客还是有一些不错的,前两天发现一个有助于Visio二次开发的方法,下面分享给大家. 就是巧用Visio的宏来帮助你进行二次开发,通过Visio宏的录制功能,将你对Visio的具体操作转换成VBA代码,这样你就会知道它的一些具体是怎么实现的了,下面是具体的步骤: 在Visio中右键,选中开发工具 然后再工具栏中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRL6Bb.html" rel="bookmark">Visio二次开发（二）----Shape的添加和连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     先说一说为什么我要用到Visio的二次开发,现在做的项目设计到了一些电子地图,下面的这张图片是美工画的一张地铁里面门禁布局图,而这些图在做项目的时候是需要用Visio画的,有提前画好的直接加载到项目中就可以使用,但是有些是需要通过代码也就是二次开发来实现的!      下面说说具体的实现过程:      shape的添加      你只需要找到相应的模板,模板下的形状,就可以加载形状,没有什么困难的,如果你实在不知道,那么就学者去用用Visio宏,对你的学习很有帮助(Visio二次开发			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZn6wz.html" rel="bookmark" class="title">File存入到数据库的办法</a>
					<div>
						数据|数据库 当需要把文件存入到服务器端的数据库中,有四种方式可行: 1.servlet/jsp+fileupload/smartupload/自己编一个实现接受文件的javaBean.然后调用相关的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPQZ0z.html" rel="bookmark" class="title">Visual C&num;中灵活使用DataView</a>
					<div>
						visual 可能大家都知道dataview这个名词的概念,但也许不是很多人可以说清楚在.net架构中它的应用范围和程度.比如:究竟datagrid和repeater这些控件是如何和数据关联起来的?很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91EZ3M.html" rel="bookmark" class="title">配置TRANSPARENT GATEWAY FOR SYBASE步骤</a>
					<div>
						1.oracle所在服务器上安装sybase client(或者在同一台server上安装oracle.sybase服务器),确保能够访问sybase数据库: 2.安装TRANSPARENT GATE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK7lOp.html" rel="bookmark" class="title">java的多形性</a>
					<div>
						&quot;对于面向对象的程序设计语言,多型性是第三种最基本的特征(前两种是数据抽象和继承.&quot; &quot;多形性&quot;(Polymorphism)从另一个角度将接口从具体的实施细节中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jxaBb.html" rel="bookmark" class="title">用Delphi的QReport部件生成报表</a>
					<div>
						用户在使用数据库应用程序时经常要生成报表,利用Delphi 4的QReport部件,可以帮助我们快速方便地生成报表.这里以一个设备管理报表为例说明如何用QReport部件与Query部件设计从多个数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPOrPM.html" rel="bookmark" class="title">Linux的逻辑卷管理（LVM）</a>
					<div>
						一.LVM的基本概念 在对磁盘进行分区大小规划时,有时往往不能确定这个分区要使用的总空间大小,而用fdisk对磁盘分区后,每个分区的大小已经固定了,如果分区设置的过大,就白白浪费了磁盘空间,而分区设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxyy2b.html" rel="bookmark" class="title">系统还原不起作用的若干原因</a>
					<div>
						 Windows 操作系统的还原点如果还原的时候不起作用,你知道是什么原因吗?下面请看我们的介绍. 出现还原点故障的可能原因入如下: 受&quot;系统还原&quot;监视的分区中可用磁盘空间太少.请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RxLop.html" rel="bookmark" class="title">粘贴预览 Excel2010粘贴效果未卜先知</a>
					<div>
						在Excel2010中,复制内容之后,在目标单元格上单击鼠标右键,在选择性粘贴右侧有个箭头,单击箭头会出现选择性粘贴的所有粘贴方式,而且按粘贴方式分成了大类,当鼠标停在某个粘贴选项上时,在Excel中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oNQRb.html" rel="bookmark" class="title">win7把简体字系统设置繁体字系统让电脑高大上的方法</a>
					<div>
						  win7把简体字系统设置繁体字系统让电脑高大上的方法           1.点击右下角&quot;开始&quot;按钮; 2.点击右侧的&quot;控制面板&quot;; 3.点击&quot;时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW4R3p.html" rel="bookmark" class="title">excel合并单元格在哪设置？exl合并单元格快捷键</a>
					<div>
						  使用office办公软件的朋友们很多不知道excel合并单元格在哪设置,其实不难非常简单,有什么excel合并单元格快捷技巧呢?小编就为大家带来exl合并单元格快捷键. excel合并单元格在哪设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYXXKb.html" rel="bookmark" class="title">Photoshop设计立体手机图标教程</a>
					<div>
						效果图: 第一步:画一个圆角为45px,宽高为256*256的圆角矩形,添加图层样式:斜面浮雕和渐变叠加. 第二步:复制刚才的圆角矩形,去掉样式,用直接选择工具将高度调整到226px,左右宽度也分别缩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk837b.html" rel="bookmark" class="title">Windows 7&lpar;x64&rpar;下安装Ubuntu12&period;4</a>
					<div>
						  对于想安装双系统,但是U盘无法引导安装Ubuntu的,下面的办法是很有效的. 〇.BIOS设置 启动选择:Legacy 一.使用U大师分区 U大师U盘装系统Win03pe工具箱V2.1 磁盘分配情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zmg4b.html" rel="bookmark" class="title">安装软件提示找不到路径怎么办</a>
					<div>
						  大家平时在使用电脑时,由于工作或学习的需要会下载安装某些应用软件.不过在安装的过程中系统总是弹出&quot;系统找不到指定的路径&quot;提示.有的用户选择用另外一台电脑安装相同的软件,发现能够 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7E8jz.html" rel="bookmark" class="title">《深入理解并行编程》中文版</a>
					<div>
						原文的下载地址:http://kernel.org/pub/linux/kernel/people/paulmck/perfbook/perfbook.html 中文版下载地址:深入理解并行编程V1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7gQnz.html" rel="bookmark" class="title">中国电信内外并举推动云计算标准发展</a>
					<div>
						云计算风起云涌,正引领新的IT技术变革,目前云计算已经进入了推广实施阶段.虽然云计算产业链生态系统各主要角色(服务提供商.设备供应商.用户等)均已经认识到云计算是未来IT服务发展的重要趋势,但云计算领 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NaWWz.html" rel="bookmark" class="title">中国的安全防御能力和国足不相上下，你信吗？</a>
					<div>
						       &quot;中国整体防御能力的国际排名和国足不相上下.&quot;赵伟不无悲情地说. 他如此评价,是根据知道创宇追踪去年席卷全球的&quot;心脏出血&quot;漏洞在各个国家修复的速度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqEmdb.html" rel="bookmark" class="title">web xml-spring4 web&period;xml报错 不知道什么问题求大神解答</a>
					<div>
						问题描述 spring4 web.xml报错 不知道什么问题求大神解答 报错信息:Multiple annotations found at this line: - Attribute &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRO3Ob.html" rel="bookmark" class="title">java web-Java web中无法传递值</a>
					<div>
						问题描述 Java web中无法传递值 HTTP Status 500 - /test10.jsp (line: 12, column: 1) According to TLD or attribut ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmDmVb.html" rel="bookmark" class="title">企业实施网络营销时必须认清的几个观点</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在与客户进行业务洽谈的过程中,发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgk4KM.html" rel="bookmark" class="title">构建ASP&period;NET MVC4&plus;EF5&plus;EasyUI&plus;Unity2&period;x注入的后台管理系统（44）-工作流设计-设计表单</a>
					<div>
						原文:构建ASP.NET MVC4+EF5+EasyUI+Unity2.x注入的后台管理系统(44)-工作流设计-设计表单 系列目录 设计表单是比较复杂的一步,完成一个表单的设计其实很漫长,主要分为四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodPgVM.html" rel="bookmark" class="title">greenplum-postgreSQL里如何自定义函数实现分组后字段的拼接</a>
					<div>
						问题描述 postgreSQL里如何自定义函数实现分组后字段的拼接 由于版本太低,无法使用string_agg,array_agg等系统函数, 能用postgreSQL自定义函数实现吗,求可执行代码! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ1O3p.html" rel="bookmark" class="title">请高手帮我看看我写的jtable怎么实现分页</a>
					<div>
						问题描述 下面时我我再dao中写的实现类,我想在点击查询时能做到分页效果,有上一页,下一页,首页,末尾页,通过页数来选择,请高手指点下吧,觉得分页挺有难度的,我知道主要是操作tablemodel,但我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YQnVz.html" rel="bookmark" class="title">IDC：企业需求疲软 第三季度全球服务器市场收入下滑7&percnt;</a>
					<div>
						根据IDC全球服务器季度追踪报告,2016年第三季度全球服务器市场同比减少7%至125亿美元.整个服务器市场的增长最近有所放缓,部分原因是超大规模数据中心增长放缓,以及受到高端服务器销售下滑的拖累.此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjo7KM.html" rel="bookmark" class="title">VS 2012 怎么打包程序</a>
					<div>
						问题描述 我想要做一个游戏微端登录器现在发现用c#WINFORM做的微端项目完成后,将项目目录中的Debug文件夹打包给客户,但是提醒客户要下载.NET环境要怎么办跪求大神帮忙 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEWmvM.html" rel="bookmark" class="title">Nature重磅：人工智能从0到1&comma; 无师自通完爆阿法狗100-0 &vert; 深度解析</a>
					<div>
						Nature今天上线的这篇重磅论文,详细介绍了谷歌DeepMind团队最新的研究成果.人工智能的一项重要目标,是在没有任何先验知识的前提下,通过完全的自学,在极具挑战的领域,达到超人的境地.去年,阿法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwl88M.html" rel="bookmark" class="title">如何使用ssdeep以及利用它来编程&quest;</a>
					<div>
						问题描述 如何使用ssdeep以及利用它来编程? 1.学会使用ssdeep,在命令行环境调用: 2. 编程实现读文件以及将文件进行分割: 解决方案 http://sec.chinabyte.com/3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjlxWM.html" rel="bookmark" class="title">共享经济给安防行业带来哪些市场</a>
					<div>
						从前两年的网约车大战,到今年摩拜.OfO等共享单车遍布大街小巷,我们可以发现这几年&quot;共享经济&quot;在中国的蓬勃发展之势.共享单车方兴未艾,共享充电宝.共享雨伞.共享篮球又火热起来.共享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xwaob.html" rel="bookmark" class="title">20岁白手起家 30岁出头身家5亿的才女富豪</a>
					<div>
						在商业和政界都&quot;春风得意&quot;的刘迎霞,生活中仍是一个普通的女人. -上榜理由 1992年,20岁的刘迎霞从部队转业后组建了翔鹰装饰公司.经过多年的艰苦创业,她带领员工将公司从一个单一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnmWmp.html" rel="bookmark" class="title">DIV&plus;CSS网页兼容所有主流浏览器技巧（IE6&sol;IE7&sol;IE8&sol;IE9&sol;Firefox&sol;Chrome）</a>
					<div>
						CSS兼容常用技巧 请尽量用xhtml严格格式写代码,一定要加DOCTYPE声明,因为DOCTYPE影响CSS处理,影响W3C标准. 1.div中文字的垂直居中问题 vertical-align:mi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GkYOp.html" rel="bookmark" class="title">pt-kill 常用杀进程参数介绍&lowbar;Mysql</a>
					<div>
						pt-kill 是一个优秀的kill MySQL连接的一个工具,是percona toolkit的一部分,在因为空闲连接较多导致超过最大连接数.某个有问题的sql导致mysql负载很高时,都需要将一些 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
